| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | List of all members
Ogre::InstancedGeometry::MaterialBucket Class Reference

A MaterialBucket is a collection of smaller buckets with the same Material (and implicitly the same LOD). More...

`#include <OgreInstancedGeometry.h>`

Inheritance diagram for Ogre::InstancedGeometry::MaterialBucket:
[legend]

## Public Types
typedef vector< GeometryBucket * >::type | GeometryBucketList
| list of Geometry Buckets in this BatchInstance More...
typedef VectorIterator< GeometryBucketList > | GeometryIterator
| Iterator over geometry. More...

## Public Member Functions
| MaterialBucket (LODBucket *parent, const String &materialName)
virtual | ~MaterialBucket ()
void | addRenderables (RenderQueue *queue, uint8 group, Real lodValue)
| Add children to the render queue. More...
void | assign (QueuedGeometry *qsm)
| Assign geometry to this bucket. More...
void | build ()
| Build. More...
void | dump (std::ofstream &of) const
| Dump contents for diagnostics. More...
Technique * | getCurrentTechnique (void) const
| Get the current Technique. More...
MaterialBucket::GeometryBucketList * | getGeometryBucketList (void) const
| Return the geometry list. More...
GeometryIterator | getGeometryIterator (void)
| Get an iterator over the contained geometry. More...
int | getLastIndex ()
const MaterialPtr & | getMaterial (void) const
| Get the material for this bucket. More...
MaterialBucket::CurrentGeometryMap * | getMaterialBucketMap (void) const
| Return the geometry map. More...
const String & | getMaterialName (void) const
| Get the material name. More...
LODBucket * | getParent (void)
void | setLastIndex (int index)
void | setMaterial (const String &name)
void | updateContainers (GeometryBucket *bucket, const String &format)
| fill in the map and the list More...
void | visitRenderables (Renderable::Visitor *visitor, bool debugRenderables)

## Detailed Description

A MaterialBucket is a collection of smaller buckets with the same Material (and implicitly the same LOD).

## Member Typedef Documentation

## ◆ GeometryBucketList

typedef vector<GeometryBucket*>::type Ogre::InstancedGeometry::MaterialBucket::GeometryBucketList

list of Geometry Buckets in this BatchInstance

## ◆ GeometryIterator

typedef VectorIterator<GeometryBucketList> Ogre::InstancedGeometry::MaterialBucket::GeometryIterator

Iterator over geometry.

## Constructor & Destructor Documentation

## ◆ MaterialBucket()

Ogre::InstancedGeometry::MaterialBucket::MaterialBucket | ( | LODBucket * | parent,
|  | const String & | materialName
| ) |  |

## ◆ ~MaterialBucket()

virtual Ogre::InstancedGeometry::MaterialBucket::~MaterialBucket | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getParent()

LODBucket* Ogre::InstancedGeometry::MaterialBucket::getParent | ( | void |  | ) |
| inline

## ◆ getMaterialName()

const String& Ogre::InstancedGeometry::MaterialBucket::getMaterialName | ( | void |  | ) | const
| inline

Get the material name.

## ◆ assign()

void Ogre::InstancedGeometry::MaterialBucket::assign | ( | QueuedGeometry * | qsm | ) |

Assign geometry to this bucket.

## ◆ build()

void Ogre::InstancedGeometry::MaterialBucket::build | ( |  | ) |

Build.

## ◆ addRenderables()

void Ogre::InstancedGeometry::MaterialBucket::addRenderables | ( | RenderQueue * | queue,
|  | uint8 | group,
|  | Real | lodValue
| ) |  |

Add children to the render queue.

## ◆ getMaterial()

const MaterialPtr& Ogre::InstancedGeometry::MaterialBucket::getMaterial | ( | void |  | ) | const
| inline

Get the material for this bucket.

## ◆ getGeometryIterator()

GeometryIterator Ogre::InstancedGeometry::MaterialBucket::getGeometryIterator | ( | void |  | ) |

Get an iterator over the contained geometry.

## ◆ getCurrentTechnique()

Technique* Ogre::InstancedGeometry::MaterialBucket::getCurrentTechnique | ( | void |  | ) | const
| inline

Get the current Technique.

## ◆ dump()

void Ogre::InstancedGeometry::MaterialBucket::dump | ( | std::ofstream & | of | ) | const

Dump contents for diagnostics.

## ◆ getMaterialBucketMap()

MaterialBucket::CurrentGeometryMap* Ogre::InstancedGeometry::MaterialBucket::getMaterialBucketMap | ( | void |  | ) | const

Return the geometry map.

## ◆ getGeometryBucketList()

MaterialBucket::GeometryBucketList* Ogre::InstancedGeometry::MaterialBucket::getGeometryBucketList | ( | void |  | ) | const

Return the geometry list.

## ◆ updateContainers()

void Ogre::InstancedGeometry::MaterialBucket::updateContainers | ( | GeometryBucket * | bucket,
|  | const String & | format
| ) |  |

fill in the map and the list

## ◆ setLastIndex()

void Ogre::InstancedGeometry::MaterialBucket::setLastIndex | ( | int | index | ) |
| inline

## ◆ getLastIndex()

int Ogre::InstancedGeometry::MaterialBucket::getLastIndex | ( |  | ) |
| inline

## ◆ setMaterial()

void Ogre::InstancedGeometry::MaterialBucket::setMaterial | ( | const String & | name | ) |

## ◆ visitRenderables()

void Ogre::InstancedGeometry::MaterialBucket::visitRenderables | ( | Renderable::Visitor * | visitor,
|  | bool | debugRenderables
| ) |  |

The documentation for this class was generated from the following file:

- OgreInstancedGeometry.h